using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using PlexityHide.GTP;

namespace LetsBuild_ProjectPlanner
{
  public partial class Form_Work : Form
  {
    public Form_Work()
    {
      InitializeComponent();
    }

    private TimeItem _ti=null;
    private CurrencyManager _currencyManager=null;
    public void ViewTimeItem(TimeItem ti)
    {
      _ti=ti;

      _currencyManager = (CurrencyManager)this.BindingContext[(ti.ListItemWhenDataBound() as DataRowView).DataView, ""];
      _currencyManager.Position = ti.Index;
      
      label1.Text="You can change the style and progress of the time item below";
      comboBox1.DataBindings.Add(new Binding("Text", (ti.ListItemWhenDataBound() as DataRowView).DataView, "Color"));
      trackBar1.DataBindings.Add(new Binding("Value", (ti.ListItemWhenDataBound() as DataRowView).DataView, "ProgressPercent"));
      monthCalendar1.DataBindings.Add(new Binding("SelectionStart", (ti.ListItemWhenDataBound() as DataRowView).DataView, "Start"));
      monthCalendar1.DataBindings.Add(new Binding("SelectionEnd", (ti.ListItemWhenDataBound() as DataRowView).DataView, "Start"));
      monthCalendar2.DataBindings.Add(new Binding("SelectionStart", (ti.ListItemWhenDataBound() as DataRowView).DataView, "Stop"));
      monthCalendar2.DataBindings.Add(new Binding("SelectionEnd", (ti.ListItemWhenDataBound() as DataRowView).DataView, "Stop"));


    }
    private void comboBox1_SelectedIndexChanged(object sender, EventArgs e)
    {

    }

    private void Form_Work_FormClosing(object sender, FormClosingEventArgs e)
    {
      _currencyManager.EndCurrentEdit();
    }
  }
}